import math

def write_to_file(message : str, fichier : str) -> None:
    """
    message : une chaîne de 0 et de 1
    fichier : un nom de fichier dans lequel écrire ces 0 et 1 en binaire
    """
    message_binaire = int("1"+message,2).to_bytes(math.ceil((len(message)+1)/8),'big')
    file = open(fichier, "wb")
    file.write(message_binaire)
    file.close()

def read_from_file(fichier : str) -> str:
    """
    fichier : un nom du fichier où est stocké le message binaire
    renvoie le message binaire comme une chaîne de 0 et de 1, au type str
    """
    file = open(fichier, "rb")
    message_binaire = file.read()
    file.close()
    return bin(int.from_bytes(message_binaire, 'big'))[3:]

if __name__ == '__main__':
    # écrire ici le code qui doit être exécuté si le fichier est lancé directement
    # mais pas exécuté s'il est importé
    # (en général ça veut dire les tests)
    pass